curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionReceipt",
"params": ["0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"cumulativeGasUsed": "0xac4c",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gasUsed": "0xac4c",
"logs": [],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionHash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"transactionIndex": "0x0",
"type": "0x0"
}
}
JSON RPC
eth_getTransactionReceipt
POST
/
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionReceipt",
"params": ["0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"cumulativeGasUsed": "0xac4c",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gasUsed": "0xac4c",
"logs": [],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionHash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"transactionIndex": "0x0",
"type": "0x0"
}
}
Returns the receipt of a transaction by transaction hash
Body
number
Serves as a unique identifier for the request
string
Indicates the version of JSON-RPC being used
string
Represents the name of the remote procedure or method to be called
array
Contains the list of parameters passed to the remote method
string
A string representing the hash (32 bytes) of a transaction
Response
number
Returns unique identifier for the request
string
Returns the version of JSON-RPC being used
object
A transaction receipt object, or null when no receipt was found
Show receiptObject
Show receiptObject
string
32 Bytes - hash of the block including this transaction. null when it’s pending
string
Number of the block including this transaction. null when it’s pending
string
The total amount of gas used when this transaction was executed in the block
string
20 Bytes - address of the sender
string
The amount of gas used by this specific transaction alone
array
Array of log objects, which this transaction generated
string
256 Bytes - Bloom filter for light clients to quickly retrieve related logs
string
Either 1 (success) or 0 (failure)
string
20 Bytes - address of the receiver. null when the transaction is a contract creation transaction
string
32 Bytes - hash of the transaction
string
Hexadecimal of the transaction’s index position in the block
string
The transaction type.
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionReceipt",
"params": ["0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"cumulativeGasUsed": "0xac4c",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gasUsed": "0xac4c",
"logs": [],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionHash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"transactionIndex": "0x0",
"type": "0x0"
}
}
⌘I